VERSION 5.00
Begin VB.Form MixAntSw 
   Caption         =   "MixAntSw"
   ClientHeight    =   3015
   ClientLeft      =   1305
   ClientTop       =   345
   ClientWidth     =   7440
   LinkTopic       =   "Form1"
   ScaleHeight     =   3015
   ScaleWidth      =   7440
   Begin VB.TextBox TextCommand 
      Height          =   375
      Left            =   6360
      LinkItem        =   "Command"
      LinkTopic       =   "MixW|CAT"
      TabIndex        =   17
      Top             =   1560
      Width           =   855
   End
   Begin VB.CheckBox CheckAutoRotate 
      Caption         =   "Auto rotate"
      Height          =   255
      Left            =   5760
      TabIndex        =   16
      Top             =   2640
      Width           =   1335
   End
   Begin VB.CheckBox CheckAutoSwitch 
      Caption         =   "Auto switch"
      Height          =   255
      Left            =   5760
      TabIndex        =   15
      Top             =   2280
      Width           =   1215
   End
   Begin VB.CommandButton CommandSwitch 
      Caption         =   "Switch!"
      Height          =   375
      Left            =   3240
      TabIndex        =   14
      Top             =   2520
      Width           =   975
   End
   Begin VB.TextBox TextAz 
      Height          =   375
      Left            =   6360
      LinkItem        =   "Az"
      LinkTopic       =   "MixW|QSO"
      TabIndex        =   12
      Text            =   "10"
      Top             =   960
      Width           =   855
   End
   Begin VB.TextBox TextKhz 
      Height          =   405
      Left            =   6360
      LinkItem        =   "Khz"
      LinkTopic       =   "MixW|QSO"
      TabIndex        =   10
      Text            =   "14100"
      Top             =   360
      Width           =   855
   End
   Begin VB.Frame Frame3 
      Caption         =   "Other bands"
      Height          =   1935
      Left            =   3720
      TabIndex        =   8
      Top             =   240
      Width           =   1575
      Begin VB.CheckBox CheckLW 
         Caption         =   "Long wire"
         Height          =   255
         Left            =   240
         TabIndex        =   9
         Top             =   600
         Width           =   1095
      End
   End
   Begin VB.TextBox TextBearing 
      Height          =   375
      Left            =   2640
      TabIndex        =   3
      Text            =   "0"
      Top             =   600
      Width           =   735
   End
   Begin VB.CheckBox CheckBeam 
      Caption         =   "Beam"
      Height          =   255
      Left            =   2040
      TabIndex        =   2
      Top             =   1800
      Width           =   1215
   End
   Begin VB.CheckBox CheckDipoleEW 
      Caption         =   "Dipole E/W"
      Height          =   255
      Left            =   360
      TabIndex        =   1
      Top             =   1320
      Width           =   1215
   End
   Begin VB.CheckBox CheckDipoleNS 
      Caption         =   "Dipole N/S"
      Height          =   255
      Left            =   360
      TabIndex        =   0
      Top             =   840
      Width           =   1095
   End
   Begin VB.Frame Frame1 
      Caption         =   "80m"
      Height          =   1935
      Left            =   240
      TabIndex        =   4
      Top             =   240
      Width           =   1455
   End
   Begin VB.Frame Frame2 
      Caption         =   "20, 15, 10m"
      Height          =   1935
      Left            =   1800
      TabIndex        =   5
      Top             =   240
      Width           =   1815
      Begin VB.CommandButton CommandRotate 
         Caption         =   "Rotate!"
         Height          =   375
         Left            =   360
         TabIndex        =   7
         Top             =   960
         Width           =   1095
      End
      Begin VB.Label Label9 
         Caption         =   "Bearing,"
         Height          =   255
         Left            =   120
         TabIndex        =   6
         Top             =   480
         Width           =   735
      End
   End
   Begin VB.Label Label1 
      Caption         =   "Command"
      Height          =   255
      Left            =   5520
      TabIndex        =   18
      Top             =   1680
      Width           =   735
   End
   Begin VB.Label Label11 
      Caption         =   "Azimuth,"
      Height          =   255
      Left            =   5520
      TabIndex        =   13
      Top             =   1080
      Width           =   735
   End
   Begin VB.Label Label10 
      Caption         =   "Fq, kHz"
      Height          =   255
      Left            =   5520
      TabIndex        =   11
      Top             =   480
      Width           =   615
   End
End
Attribute VB_Name = "MixAntSw"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Form_Load()

On Error GoTo NoDde ' Exit the program if MixW is not loaded

TextKhz.LinkMode = vbLinkAutomatic
TextAz.LinkMode = vbLinkAutomatic
TextCommand.LinkMode = vbLinkAutomatic

Call LinkChange

Exit Sub
          
NoDde:
    MsgBox "MixW 2 is not loaded! The program will now exit."
    End ' Exit the program

End Sub


Private Sub TextCommand_Change()
    
    If TextCommand = "SWITCH" Then Call CommandSwitch_Click ' Switch
    If TextCommand = "ROTATE" Then Call CommandRotate_Click ' Rotate

End Sub

Private Sub TextKhz_Change()
    Call LinkChange
End Sub

Private Sub TextAz_Change()
    Call LinkChange
End Sub

Private Sub LinkChange()
            
    If CheckAutoSwitch.Value Then Call CommandSwitch_Click
    If CheckAutoRotate.Value Then Call CommandRotate_Click
        
End Sub

' Switch antennas
Private Sub CommandSwitch_Click()

    Freq = Val(TextKhz)

    ' Dipole
    If Freq >= 3500 And Freq <= 3800 Then Call ActivateDipole: Exit Sub
    
    ' Beam
    If Freq >= 14000 And Freq <= 14500 Then Call ActivateBeam: Exit Sub
    If Freq >= 21000 And Freq <= 21500 Then Call ActivateBeam: Exit Sub
    If Freq >= 28000 And Freq <= 30000 Then Call ActivateBeam: Exit Sub
    
    ' Long wire
    
    ActivateLongWire

End Sub

' Switch to the dipole
Private Sub ActivateDipole()

    Azimuth = Val(TextAz)

    If Azimuth < 45 Or Azimuth > 315 Then Call ActivateDipoleNS: Exit Sub
    If Azimuth > 135 And Azimuth < 225 Then Call ActivateDipoleNS: Exit Sub

    Call ActivateDipoleEW

End Sub

' Switch to the N/S dipole
Private Sub ActivateDipoleNS()

CheckDipoleNS.Value = 1
CheckDipoleEW.Value = 0
CheckBeam.Value = 0
CheckLW.Value = 0

End Sub

' Switch to the E/W dipole
Private Sub ActivateDipoleEW()

CheckDipoleNS.Value = 0
CheckDipoleEW.Value = 1
CheckBeam.Value = 0
CheckLW.Value = 0

End Sub

' Switch to the beam
Private Sub ActivateBeam()

CheckDipoleNS.Value = 0
CheckDipoleEW.Value = 0
CheckBeam.Value = 1
CheckLW.Value = 0

End Sub

' Switch to the beam
Private Sub ActivateLongWire()

CheckDipoleNS.Value = 0
CheckDipoleEW.Value = 0
CheckBeam.Value = 0
CheckLW.Value = 1

End Sub

' Rotate the beam
Private Sub CommandRotate_Click()

' Don't rotate the beam if not selected
If CheckBeam.Value = 0 Then Exit Sub

If TextAz = "" Then Exit Sub ' No azimuth!

TextBearing = TextAz ' Rotate

End Sub

